# Standard_OId.hxx File Reference

`#include <Standard_Integer.hxx>`
`#include <Standard_OStream.hxx>`

## Functions

Standard_OId | ShallowCopy (const Standard_OId me)
Standard_Integer | HashCode (const Standard_OId me, const Standard_Integer Upper)
const Handle_Standard_Type & | Standard_OId_Type_ ()

## Variables

typedef Standard_Persistent * | Standard_OId

## Function Documentation

Standard_Integer HashCode | ( | const Standard_OId | me,
|  | const Standard_Integer | Upper
| ) |

Standard_OId ShallowCopy | ( | const Standard_OId | me | ) |

const Handle_Standard_Type& Standard_OId_Type_ | ( |  | ) |

## Variable Documentation

class typedef Standard_Persistent* Standard_OId